<?php
namespace Teknisa\DF\Services\Emissao\Banco;

use Teknisa\DF\Services\Emissao\Exception\ExcecaoBoletoGeralService;
use Teknisa\DF\Services\Emissao\ValidacaoEmissaoBoletoService;

/**
 * Class ValidacaoEmissaoBoletoSantanderService
 * @package Teknisa\DF\Services\Emissao\Banco
 */
class ValidacaoEmissaoBoletoSantanderService extends ValidacaoEmissaoBoletoService
{

    public function valida()
    {
        if ((bool)$this->boleto->getCdcartcobbol()===(false))
            ExcecaoBoletoGeralService::carteiraNaoInformada();

        if ((bool)$this->boleto->getReducont()->getCdcedenteban()===(false))
            ExcecaoBoletoGeralService::codigoCedenteNaoInformado();
    }
}
